﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApp1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            storona1.Select();
        }

        private void ochistit_Click(object sender, EventArgs e)
        {
            storona1.Text = "";
            storona2.Text = "";
            storona3.Text = "";
            if (s_ochistit.Enabled) storona1.Select();
        }

        private void rasschitat_Click(object sender, EventArgs e)
        {
            if (storona1.Text == "" || storona2.Text == "" || storona3.Text == "")
            {
                MessageBox.Show("Заполните все ячейки для расчета");
                storona3.Select();

            }
            else
            {
                if (Convert.ToInt32(storona1.Text) + Convert.ToInt32(storona2.Text) > Convert.ToInt32(storona3.Text)
                    && Convert.ToInt32(storona1.Text) + Convert.ToInt32(storona3.Text) > Convert.ToInt32(storona2.Text)
                    && Convert.ToInt32(storona2.Text) + Convert.ToInt32(storona3.Text) > Convert.ToInt32(storona1.Text))
                {
            if (storona1.Text == storona2.Text && storona1.Text == storona3.Text && storona2.Text == storona3.Text) MessageBox.Show("Ваш треугольник равносторонний");
            else if (storona1.Text == storona2.Text || storona1.Text == storona3.Text || storona2.Text == storona3.Text) MessageBox.Show("Ваш треугольник равнобедренный");
            else MessageBox.Show("Ваш треугольник разносторонний");
                    if (rasschitat.Enabled) s_ochistit.Select();
                }
                else
                {
                    MessageBox.Show("Фигура по введенным параметрам не является треугольником");
                    s_ochistit.Enabled = true;
                }

            }

        }

        private void storona1_KeyPress(object sender, KeyPressEventArgs e)
        {
            char num = e.KeyChar;
            if (e.KeyChar <= 47 || e.KeyChar >= 58 || (e.KeyChar == 48 && storona1.Text == ""))
            {
                e.Handled = true;
            }
        }

        private void storona2_KeyPress(object sender, KeyPressEventArgs e)
        {
            char num = e.KeyChar;
            if (e.KeyChar <= 47 || e.KeyChar >= 58 || (e.KeyChar == 48 && storona2.Text == ""))
            {
                e.Handled = true;
            }
        }

        private void storona3_KeyPress(object sender, KeyPressEventArgs e)
        {
            char num = e.KeyChar;
            if (e.KeyChar <= 47 || e.KeyChar >= 58 || (e.KeyChar == 48 && storona3.Text == ""))
            {
                e.Handled = true;
            }
        }

        private void storona3_MouseDoubleClick(object sender, MouseEventArgs e)
        {
            storona3.Text = null;
        }

        private void storona2_MouseDoubleClick(object sender, MouseEventArgs e)
        {
            storona2.Text = null;
        }

        private void storona1_MouseDoubleClick(object sender, MouseEventArgs e)
        {
            storona1.Text = null;
        }

        private void storona1_MouseMove(object sender, MouseEventArgs e)
        {
            ToolTip tt = new ToolTip();
            tt.SetToolTip(this.storona1, "Щелкните дважды, чтобы очистить поле");
        }

        private void storona2_MouseMove(object sender, MouseEventArgs e)
        {
            ToolTip tt = new ToolTip();
            tt.SetToolTip(this.storona2, "Щелкните дважды, чтобы очистить поле");
        }

        private void storona3_MouseMove(object sender, MouseEventArgs e)
        {
            ToolTip tt = new ToolTip();
            tt.SetToolTip(this.storona3, "Щелкните дважды, чтобы очистить поле");
        }

        private void storona3_KeyUp(object sender, KeyEventArgs e)
        {
            if ((e.KeyCode == Keys.Enter) || (e.KeyCode == Keys.Return))
            {
                //this.SelectNextControl((Control)sender, true, true, true, true);
                rasschitat.Select();
            }
        }

        private void storona2_KeyUp(object sender, KeyEventArgs e)
        {
            if ((e.KeyCode == Keys.Enter) || (e.KeyCode == Keys.Return))
            {
                this.SelectNextControl((Control)sender, true, true, true, true);

            }
        }

        private void storona1_KeyUp(object sender, KeyEventArgs e)
        {
            if ((e.KeyCode == Keys.Enter) || (e.KeyCode == Keys.Return))
            {
                this.SelectNextControl((Control)sender, true, true, true, true);
            }
        }


    }
}
